aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/audit/init.d/auditd.rotate
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/audit/init.d/auditd.rotate')
-rw-r--r--framework/src/audit/init.d/auditd.rotate16
1 files changed, 16 insertions, 0 deletions
diff --git a/framework/src/audit/init.d/auditd.rotate b/framework/src/audit/init.d/auditd.rotate
new file mode 100644
index 00000000..e89850a6
--- /dev/null
+++ b/framework/src/audit/init.d/auditd.rotate
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Helper script to provide legacy auditd service options not
+# directly supported by systemd
+
+# Check that we are root ... so non-root users stop here
+test $EUID = 0 || exit 4
+
+PATH=/sbin:/bin:/usr/bin:/usr/sbin
+prog="auditd"
+source /etc/init.d/functions
+
+echo -n $"Rotating logs: "
+killproc $prog -USR1
+RETVAL=$?
+echo
+exit $RETVAL